using UnityEngine;
using System.Collections;

[RequireComponent (typeof (Rigidbody))]
public class FauxParticle : MonoBehaviour {
	
	private float lifetimeMillSec  = 3000;
	private System.DateTime DeadTime;
	private FauxParticleEmitter fauxEmitter;
	
	// Use this for initialization
	void Start () {
		DeadTime = System.DateTime.Now.AddMilliseconds(lifetimeMillSec);
	}
	
	// Update is called once per frame
	void Update () {
		if(System.DateTime.Now > DeadTime )
		{
			fauxEmitter.ParticleCounter--;
			Destroy(transform.gameObject);
		}
	}
	
	
	public float LifetimeMillSec {
		set { lifetimeMillSec = value; }
	}
	
	public FauxParticleEmitter fauxparticleEmitter {
		set { fauxEmitter = value; }
	}
	
}
